knitr_options_html {rmarkdown} | R Documentation

## Knitr options for an HTML output format

### Description

Define knitr options for an R Markdown output format that creates HTML output.

### Usage

    knitr_options_html(fig_width, fig_height, fig_retina, keep_md, dev = "png")

### Arguments

`fig_width` | Default width (in inches) for figures
`fig_height` | Default width (in inches) for figures
`fig_retina` | Scaling to perform for retina displays (defaults to 2, which currently works for all widely used retina displays). Set to`NULL` to prevent retina scaling. Note that this will always be`NULL` when `keep_md` is specified (this is because `fig_retina` relies on outputting HTML directly into the markdown document).
`keep_md` | Keep the markdown file generated by knitting.
`dev` | Graphics device to use for figure output (defaults to png)

### Value

An list that can be passed as the `knitr` argument of the `output_format` function.

### See Also

knitr_options, output_format

[Package rmarkdown version 0.9.6 Index]